{% extends 'match/base.html' %}
{% load static %}
{% block content %}
{% csrf_token %}

<style type="text/css">
	.photo-grid{
		display: grid;
		gap: 1rem;

		grid-template-columns: repeat(auto-fit, minmax(120px, 1fr));
  		grid-auto-rows: 120px;
	}
	.card {
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
		text-align: center;
		background: #353535;
		font-size: 3rem;
		color: #fff;
		box-shadow: rgba(3, 8, 20, 0.1) 0px 0.15rem 0.5rem, rgba(2, 8, 20, 0.1) 0px 0.075rem 0.175rem;
		height: 100%;
		width: 100%;
		border-radius: 4px;
		transition: all 500ms;
		overflow: hidden;
		background-size: cover;
		background-position: center;
		background-repeat: no-repeat;
	 }
	.card:hover {
		box-shadow: rgba(2, 8, 20, 0.1) 0px 0.35em 1.175em, rgba(2, 8, 20, 0.08) 0px 0.175em 0.5em;
		transform: translateY(-3px) scale(1.1);
	}
</style>


<div class="photo-grid">
	{% for photo in photos %}
		<a href="{{photo.2}}" title="{{photo.0}}" target="_blank">
			<div class="card" style="background-image:url({{photo.1}})"></div>
		</a>
	{% endfor %}
</div>

{% endblock content %}